Skip to main content
POST
/
projects
/
{project_reference}
/
agents
/
{agent_id}
/
install
Install Agent
curl --request POST \
  --url https://api.veryfront.com/projects/{project_reference}/agents/{agent_id}/install \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "relation": "editor"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "provider": {
    "organization": "<string>",
    "url": "<string>"
  },
  "version": "<string>",
  "capabilities": {
    "streaming": true,
    "push_notifications": true,
    "extensions": [
      "<string>"
    ]
  },
  "default_input_modes": [
    "<string>"
  ],
  "default_output_modes": [
    "<string>"
  ],
  "tools": [
    "<string>"
  ],
  "skills": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "tags": [
        "<string>"
      ],
      "examples": [
        "<string>"
      ]
    }
  ],
  "can_run": true,
  "source_path": "<string>",
  "x-veryfront-model": "<string>",
  "x-veryfront-url": "<string>",
  "suggestions": [
    "<string>"
  ],
  "installed_access": {
    "grant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "service_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "<string>"
  },
  "runtime_readiness": {
    "reason": "<string>",
    "runtime_service_key": "<string>"
  },
  "avatar_url": "<string>"
}

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required
agent_id
string
required

Catalog agent identifier

Required string length: 1 - 255

Body

application/json
relation
enum<string>
default:editor
Available options:
owner,
admin,
editor,
viewer

Response

Existing installed agent card

id
string
required
name
string
required
description
string | null
required
provider
object
required
version
string
required
capabilities
object
required
default_input_modes
string[]
required
default_output_modes
string[]
required
tools
string[]
required
skills
object[]
required
kind
enum<string>
required
Available options:
source_project_agent,
installed_project_agent
can_run
boolean
required
source_type
enum<string>
required
Available options:
project,
catalog_install
source_path
string
required
edit_mode
enum<string>
required
Available options:
structured,
source_only
x-veryfront-model
string | null
required
x-veryfront-url
string
required
suggestions
(string | object)[]
Minimum string length: 1
installed_access
object
runtime_readiness
object
avatar_url
string<uri> | null

Absolute URL for this agent avatar. Null when no custom avatar has been set.